com.oracle.truffle.object

## Class Locations.DeclaredLocation

- java.lang.Object
- - com.oracle.truffle.api.object.Location
  - - com.oracle.truffle.object.LocationImpl
    - - com.oracle.truffle.object.Locations.ValueLocation
      - - com.oracle.truffle.object.Locations.DeclaredLocation

All Implemented Interfaces:
  BaseLocation

Enclosing class:
  Locations

    public static final class Locations.DeclaredLocation
    extends Locations.ValueLocation

### Nested Class Summary

### Nested classes/interfaces inherited from class com.oracle.truffle.object.LocationImpl

`LocationImpl.EffectivelyFinalLocation<T extends Location>, LocationImpl.InternalLongLocation, LocationImpl.TypedObjectLocation<T extends Location & ObjectLocation>`

### Constructor Summary

Constructors
Constructor and Description
`Locations.DeclaredLocation(java.lang.Object value)`

### Method Summary

### Methods inherited from class com.oracle.truffle.object.Locations.ValueLocation

`canStoreFinal, equals, get, hashCode, set, setInternal, toString`

### Methods inherited from class com.oracle.truffle.object.LocationImpl

`canSet, canStore, getInternal, getWhereString, isConstant, isFinal, objectArrayCount, objectFieldCount, primitiveArrayCount, primitiveFieldCount, valueEquals`

### Methods inherited from class com.oracle.truffle.api.object.Location

`checkShape, finalLocation, get, incompatibleLocation, set, set`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Locations.DeclaredLocation

    public Locations.DeclaredLocation(java.lang.Object value)